<!DOCTYPE html>
<html class="writer-html5" lang="en">
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>nl2declare.test.lingproc.test_declare_constructor &mdash; NL2Declare  documentation</title>
      <link rel="stylesheet" type="text/css" href="../../../../_static/pygments.css" />
      <link rel="stylesheet" type="text/css" href="../../../../_static/css/theme.css" />

  
  <!--[if lt IE 9]>
    <script src="../../../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../../../" id="documentation_options" src="../../../../_static/documentation_options.js"></script>
        <script src="../../../../_static/jquery.js"></script>
        <script src="../../../../_static/underscore.js"></script>
        <script src="../../../../_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="../../../../_static/doctools.js"></script>
    <script src="../../../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../../../genindex.html" />
    <link rel="search" title="Search" href="../../../../search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="../../../../index.html" class="icon icon-home">
            NL2Declare
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../../../modules.html">nl2declare</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../../../index.html">NL2Declare</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../../../index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="../../../index.html">Module code</a></li>
          <li class="breadcrumb-item"><a href="../../../nl2declare.html">nl2declare</a></li>
      <li class="breadcrumb-item active">nl2declare.test.lingproc.test_declare_constructor</li>
      <li class="wy-breadcrumbs-aside">
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <h1>Source code for nl2declare.test.lingproc.test_declare_constructor</h1><div class="highlight"><pre>
<span></span><span class="kn">from</span> <span class="nn">nl2declare.lingproc.declare_constructor</span> <span class="kn">import</span> <span class="n">DeclareConstructor</span>
<span class="kn">from</span> <span class="nn">nl2declare.constructs.declare_model</span> <span class="kn">import</span> <span class="n">DeclareModel</span>
<span class="kn">from</span> <span class="nn">nl2declare.constructs.text_model</span> <span class="kn">import</span> <span class="n">TextModel</span>
<span class="kn">from</span> <span class="nn">nl2declare.lingproc.text_parser</span> <span class="kn">import</span> <span class="n">TextParser</span>


<div class="viewcode-block" id="test_declare_constructor_succession"><a class="viewcode-back" href="../../../../nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_succession">[docs]</a><span class="k">def</span> <span class="nf">test_declare_constructor_succession</span><span class="p">(</span><span class="n">capsys</span><span class="p">):</span>
    <span class="n">textparser</span> <span class="o">=</span> <span class="n">TextParser</span><span class="p">()</span>
    <span class="n">constructor</span> <span class="o">=</span> <span class="n">DeclareConstructor</span><span class="p">()</span>
    <span class="n">text_result</span> <span class="o">=</span> <span class="n">textparser</span><span class="o">.</span><span class="n">parse_constraint_string</span><span class="p">(</span><span class="s2">&quot;A claim must be created before an invoice must be sent.&quot;</span><span class="p">)</span>
    <span class="n">declare_result</span> <span class="o">=</span> <span class="n">constructor</span><span class="o">.</span><span class="n">convert_to_declare_model</span><span class="p">(</span><span class="n">text_result</span><span class="p">)</span>

    <span class="n">all_constraints</span> <span class="o">=</span> <span class="s2">&quot;&quot;</span>
    <span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="n">declare_result</span><span class="o">.</span><span class="n">constraints</span><span class="p">:</span>
        <span class="n">all_constraints</span> <span class="o">=</span> <span class="n">all_constraints</span> <span class="o">+</span> <span class="n">i</span><span class="o">.</span><span class="fm">__str__</span><span class="p">()</span>
    <span class="k">assert</span> <span class="s2">&quot;Constraint [type=ConstraintType.SUCCESSION, A=Action: create claim, B=Action: send invoice]&quot;</span> <span class="ow">in</span> <span class="n">all_constraints</span> </div>

<div class="viewcode-block" id="test_declare_constructor_response"><a class="viewcode-back" href="../../../../nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_response">[docs]</a><span class="k">def</span> <span class="nf">test_declare_constructor_response</span><span class="p">(</span><span class="n">capsys</span><span class="p">):</span>
    <span class="n">textparser</span> <span class="o">=</span> <span class="n">TextParser</span><span class="p">()</span>
    <span class="n">constructor</span> <span class="o">=</span> <span class="n">DeclareConstructor</span><span class="p">()</span>
    <span class="n">text_result</span> <span class="o">=</span> <span class="n">textparser</span><span class="o">.</span><span class="n">parse_constraint_string</span><span class="p">(</span><span class="s2">&quot;A claim is created after an invoice must be sent.&quot;</span><span class="p">)</span>
    <span class="n">declare_result</span> <span class="o">=</span> <span class="n">constructor</span><span class="o">.</span><span class="n">convert_to_declare_model</span><span class="p">(</span><span class="n">text_result</span><span class="p">)</span>

    <span class="n">all_constraints</span> <span class="o">=</span> <span class="s2">&quot;&quot;</span>
    <span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="n">declare_result</span><span class="o">.</span><span class="n">constraints</span><span class="p">:</span>
        <span class="n">all_constraints</span> <span class="o">=</span> <span class="n">all_constraints</span> <span class="o">+</span> <span class="n">i</span><span class="o">.</span><span class="fm">__str__</span><span class="p">()</span>
    <span class="k">assert</span> <span class="s2">&quot;Constraint [type=ConstraintType.RESPONSE, A=Action: create claim, B=Action: send]&quot;</span> <span class="ow">in</span> <span class="n">all_constraints</span> </div>

<div class="viewcode-block" id="test_declare_constructor_precedence"><a class="viewcode-back" href="../../../../nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_precedence">[docs]</a><span class="k">def</span> <span class="nf">test_declare_constructor_precedence</span><span class="p">(</span><span class="n">capsys</span><span class="p">):</span>
    <span class="n">textparser</span> <span class="o">=</span> <span class="n">TextParser</span><span class="p">()</span>
    <span class="n">constructor</span> <span class="o">=</span> <span class="n">DeclareConstructor</span><span class="p">()</span>
    <span class="n">text_result</span> <span class="o">=</span> <span class="n">textparser</span><span class="o">.</span><span class="n">parse_constraint_string</span><span class="p">(</span><span class="s2">&quot;Sending an invoice is required to create a claim.&quot;</span><span class="p">)</span>
    <span class="n">declare_result</span> <span class="o">=</span> <span class="n">constructor</span><span class="o">.</span><span class="n">convert_to_declare_model</span><span class="p">(</span><span class="n">text_result</span><span class="p">)</span>

    <span class="n">all_constraints</span> <span class="o">=</span> <span class="s2">&quot;&quot;</span>
    <span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="n">declare_result</span><span class="o">.</span><span class="n">constraints</span><span class="p">:</span>
        <span class="n">all_constraints</span> <span class="o">=</span> <span class="n">all_constraints</span> <span class="o">+</span> <span class="n">i</span><span class="o">.</span><span class="fm">__str__</span><span class="p">()</span>
    <span class="k">assert</span> <span class="s2">&quot;Constraint [type=ConstraintType.PRECEDENCE, A=Action: send invoice, B=Action: create claim]&quot;</span> <span class="ow">in</span> <span class="n">all_constraints</span> </div>


<div class="viewcode-block" id="test_declare_constructor_start"><a class="viewcode-back" href="../../../../nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_start">[docs]</a><span class="k">def</span> <span class="nf">test_declare_constructor_start</span><span class="p">(</span><span class="n">capsys</span><span class="p">):</span>
    <span class="n">textparser</span> <span class="o">=</span> <span class="n">TextParser</span><span class="p">()</span>
    <span class="n">constructor</span> <span class="o">=</span> <span class="n">DeclareConstructor</span><span class="p">()</span>
    <span class="n">text_result</span> <span class="o">=</span> <span class="n">textparser</span><span class="o">.</span><span class="n">parse_constraint_string</span><span class="p">(</span><span class="s2">&quot;The process starts with sending an invoice.&quot;</span><span class="p">)</span>
    <span class="n">declare_result</span> <span class="o">=</span> <span class="n">constructor</span><span class="o">.</span><span class="n">convert_to_declare_model</span><span class="p">(</span><span class="n">text_result</span><span class="p">)</span>

    <span class="n">all_constraints</span> <span class="o">=</span> <span class="s2">&quot;&quot;</span>
    <span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="n">declare_result</span><span class="o">.</span><span class="n">constraints</span><span class="p">:</span>
        <span class="n">all_constraints</span> <span class="o">=</span> <span class="n">all_constraints</span> <span class="o">+</span> <span class="n">i</span><span class="o">.</span><span class="fm">__str__</span><span class="p">()</span>
    <span class="k">assert</span> <span class="s2">&quot;Constraint [type=ConstraintType.INIT, A=Action: send invoice]&quot;</span> <span class="ow">in</span> <span class="n">all_constraints</span></div>

<div class="viewcode-block" id="test_declare_constructor_start2"><a class="viewcode-back" href="../../../../nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_start2">[docs]</a><span class="k">def</span> <span class="nf">test_declare_constructor_start2</span><span class="p">(</span><span class="n">capsys</span><span class="p">):</span>
    <span class="n">textparser</span> <span class="o">=</span> <span class="n">TextParser</span><span class="p">()</span>
    <span class="n">constructor</span> <span class="o">=</span> <span class="n">DeclareConstructor</span><span class="p">()</span>
    <span class="n">text_result</span> <span class="o">=</span> <span class="n">textparser</span><span class="o">.</span><span class="n">parse_constraint_string</span><span class="p">(</span><span class="s2">&quot;Before creating an Email, the process starts.&quot;</span><span class="p">)</span>
    <span class="n">declare_result</span> <span class="o">=</span> <span class="n">constructor</span><span class="o">.</span><span class="n">convert_to_declare_model</span><span class="p">(</span><span class="n">text_result</span><span class="p">)</span>

    <span class="n">all_constraints</span> <span class="o">=</span> <span class="s2">&quot;&quot;</span>
    <span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="n">declare_result</span><span class="o">.</span><span class="n">constraints</span><span class="p">:</span>
        <span class="n">all_constraints</span> <span class="o">=</span> <span class="n">all_constraints</span> <span class="o">+</span> <span class="n">i</span><span class="o">.</span><span class="fm">__str__</span><span class="p">()</span>
    <span class="k">assert</span> <span class="s2">&quot;Constraint [type=ConstraintType.INIT, A=Action: create email]&quot;</span> <span class="ow">in</span> <span class="n">all_constraints</span></div>

<div class="viewcode-block" id="test_declare_constructor_end"><a class="viewcode-back" href="../../../../nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_end">[docs]</a><span class="k">def</span> <span class="nf">test_declare_constructor_end</span><span class="p">(</span><span class="n">capsys</span><span class="p">):</span>
    <span class="n">textparser</span> <span class="o">=</span> <span class="n">TextParser</span><span class="p">()</span>
    <span class="n">constructor</span> <span class="o">=</span> <span class="n">DeclareConstructor</span><span class="p">()</span>
    <span class="n">text_result</span> <span class="o">=</span> <span class="n">textparser</span><span class="o">.</span><span class="n">parse_constraint_string</span><span class="p">(</span><span class="s2">&quot;The process ends with sending an invoice.&quot;</span><span class="p">)</span>
    <span class="n">declare_result</span> <span class="o">=</span> <span class="n">constructor</span><span class="o">.</span><span class="n">convert_to_declare_model</span><span class="p">(</span><span class="n">text_result</span><span class="p">)</span>

    <span class="n">all_constraints</span> <span class="o">=</span> <span class="s2">&quot;&quot;</span>
    <span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="n">declare_result</span><span class="o">.</span><span class="n">constraints</span><span class="p">:</span>
        <span class="n">all_constraints</span> <span class="o">=</span> <span class="n">all_constraints</span> <span class="o">+</span> <span class="n">i</span><span class="o">.</span><span class="fm">__str__</span><span class="p">()</span>
    <span class="k">assert</span> <span class="s2">&quot;Constraint [type=ConstraintType.END, A=Action: send invoice]&quot;</span> <span class="ow">in</span> <span class="n">all_constraints</span> </div>

<div class="viewcode-block" id="test_declare_constructor_end2"><a class="viewcode-back" href="../../../../nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_end2">[docs]</a><span class="k">def</span> <span class="nf">test_declare_constructor_end2</span><span class="p">(</span><span class="n">capsys</span><span class="p">):</span>
    <span class="n">textparser</span> <span class="o">=</span> <span class="n">TextParser</span><span class="p">()</span>
    <span class="n">constructor</span> <span class="o">=</span> <span class="n">DeclareConstructor</span><span class="p">()</span>
    <span class="n">text_result</span> <span class="o">=</span> <span class="n">textparser</span><span class="o">.</span><span class="n">parse_constraint_string</span><span class="p">(</span><span class="s2">&quot;After creating an Email, the process ends.&quot;</span><span class="p">)</span>
    <span class="n">declare_result</span> <span class="o">=</span> <span class="n">constructor</span><span class="o">.</span><span class="n">convert_to_declare_model</span><span class="p">(</span><span class="n">text_result</span><span class="p">)</span>

    <span class="n">all_constraints</span> <span class="o">=</span> <span class="s2">&quot;&quot;</span>
    <span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="n">declare_result</span><span class="o">.</span><span class="n">constraints</span><span class="p">:</span>
        <span class="n">all_constraints</span> <span class="o">=</span> <span class="n">all_constraints</span> <span class="o">+</span> <span class="n">i</span><span class="o">.</span><span class="fm">__str__</span><span class="p">()</span>
    <span class="k">assert</span> <span class="s2">&quot;Constraint [type=ConstraintType.END, A=Action: create email]&quot;</span> <span class="ow">in</span> <span class="n">all_constraints</span> </div>

</pre></div>

           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2024, Pia Halkour, Marc Ludevid Wulf, Julian Kofferath.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>